Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util.encoders
Class UrlBase64Encoder

    java.lang.Object
      org.bouncycastle.util.encoders.Base64Encoder
          org.bouncycastle.util.encoders.UrlBase64Encoder

All Implemented Interfaces:
  Encoder

    public class UrlBase64Encoder

extends Base64Encoder

Convert binary data to and from UrlBase64 encoding. This is identical to Base64 encoding, except that the padding character is "." and the other non-alphanumeric characters are "-" and "_" instead of "+" and "/".

The purpose of UrlBase64 encoding is to provide a compact encoding of binary data that is safe for use as an URL parameter. Base64 encoding does not produce encoded values that are safe for use in URLs, since "/" can be interpreted as a path delimiter; "+" is the encoded form of a space; and "=" is used to separate a name from the corresponding value in an URL parameter.

Field Summary

Fields inherited from class org.bouncycastle.util.encoders.Base64Encoder
`decodingTable, encodingTable, padding`

Constructor Summary
`UrlBase64Encoder()`

Method Summary

Methods inherited from class org.bouncycastle.util.encoders.Base64Encoder
`decode, decode, encode, initialiseDecodingTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlBase64Encoder

    public UrlBase64Encoder()

Bouncy Castle Cryptography Library 1.45